<app-blog-head></app-blog-head>

<app-breadcrumb [items]="breadCrumb"></app-breadcrumb>


<section class="blog-list">
  <div class="container">
    <div class="row">
      <div class="col-6 col-lg-4" *ngFor="let item of blog.getValue()">
        <mat-card class="post" (click)="goPost(item.uri)">
          <div class="lente">
            <img mat-card-image src="{{'http://127.0.0.1/minha-api/public/uploads/'+item.image}}" alt="Photo of a Shiba Inu">
          </div>

          <mat-card-header>
            <mat-card-title>{{item.title}}</mat-card-title>
          </mat-card-header>
          <mat-card-content>
            <p class="description">
              {{item.description}}
            </p>
          </mat-card-content>
          <mat-card-actions>
            <button mat-button>Ler mais</button>
          </mat-card-actions>
        </mat-card>
      </div>
    </div>




    <div class="paginator">
      <ul>
        <li *ngFor="let item of paginator.getValue();">
          <a (click)="getAll(item.label,qtd)" [ngClass]="{'active':item.active}">
            {{item.label}}
          </a>
        </li>
      </ul>
    </div>


  </div>
</section>
